commit:     ab64f0983a4208f52f61d04d85832bb0ed98a36f
Author:     Sergey Alirzaev <zl29ah <AT> gmail <DOT> com>
AuthorDate: Wed Mar 14 18:46:10 2018 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Mar 20 17:55:20 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ab64f098

app-text/discount: version bump to 2.2.3a

fixed stripping

Closes: https://github.com/gentoo/gentoo/pull/7462

 app-text/discount/Manifest               |  1 +
 app-text/discount/discount-2.2.3a.ebuild | 70 ++++++++++++++++++++++++++++++++
 2 files changed, 71 insertions(+)

diff --git a/app-text/discount/Manifest b/app-text/discount/Manifest
index 1b10a568d4b..4ccdcac100c 100644
--- a/app-text/discount/Manifest
+++ b/app-text/discount/Manifest
@@ -1,2 +1,3 @@
 DIST discount-2.1.8a.tar.bz2 85161 BLAKE2B 
15b2f3e935115e6b9f2c4ba1c11b1d6ea6f32123bd11c1e13dcab7fd9badac9a4f7d671c0cf04a6dd9564e40fbd6970f26c473c188444db75e0ee6b91a1ed1bc
 SHA512 
a1eba7076a27da56136b8057189c5474a36bf11f8233cbae270c8a0cf9b070332b4dcdbbbecfbfbe1d8c19961ccaf87cee27ebe855c6bc6558d8ccc423553c96
 DIST discount-2.2.2.tar.bz2 89288 BLAKE2B 
43950b3000f4d6e30603562694e965518be10107e534f48592f7f2d62959778244193fe5ab788f7f697bb099bb1ac940948ec92dabde1219a69bbe380eb5f66a
 SHA512 
67d882c0a334592230332815c543458b3c916a950bf7983f8a468fbc9f61154b4023d4bf451b76639fcb3a076506b48118f192a8e21f2535b3f49c7f081bbdf3
+DIST discount-2.2.3a.tar.bz2 98325 BLAKE2B 
b566a6f4d5a1f3481a0a665f7820508784b2ce6ec60d0b4ff833bed46c01a9a6bf6a697fc528bcddd37232246982e861a89733bf6654cedecc95a09def729463
 SHA512 
cf995a46879f269f3e02f7d480303d229676bb36f71fe045d3a8eab7306fca9cce98496611b9fb9e0a14a9cf46ee66bd239dd9c946dff54ae09277fd66459c1f

diff --git a/app-text/discount/discount-2.2.3a.ebuild 
b/app-text/discount/discount-2.2.3a.ebuild
new file mode 100644
index 00000000000..8aa88de24c6
--- /dev/null
+++ b/app-text/discount/discount-2.2.3a.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit toolchain-funcs
+
+DESCRIPTION="A Markdown-to HTML translator written in C"
+HOMEPAGE="http://www.pell.portland.or.us/~orc/Code/discount/";
+SRC_URI="http://www.pell.portland.or.us/~orc/Code/${PN}/${P}.tar.bz2";
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="minimal test"
+
+src_prepare() {
+       default
+
+       # for QA, we remove the Makefile’s usage of install -s.
+       # Drop ldconfig invocation.
+       # Force “librarian.sh” to respect LDFLAGS ($FLAGS should have CFLAGS
+       # at that point).
+       sed -i \
+               -e '/INSTALL_PROGRAM/s,\$_strip ,,' \
+               -e 's/\(LDCONFIG=\).*/\1:/' \
+               -e 's/\(.\)\$FLAGS/& \1$LDFLAGS/' \
+               configure.inc || die "sed configure.inc failed"
+
+       # Add LDFLAGS and CPPFLAGS hackily.
+       sed -i \
+               -e 's/^CC[ \t]*=.*/& $(CPPFLAGS)/' \
+               -e 's/^LFLAGS[ \t]*=.*/& $(LDFLAGS)/' \
+               Makefile.in || die "Cannot fix LDFLAGS and CPPFLAGS"
+}
+
+src_configure() {
+       local configure_call=(
+               ./configure.sh
+               --libdir="${EPREFIX}"usr/"$(get_libdir)"
+               --prefix="${EPREFIX}"usr
+               --mandir="${EPREFIX}"usr/share/man
+               --shared
+               --pkg-config
+               $(usex minimal '' --enable-all-features)
+               # Enable deterministic HTML generation behavior. Otherwise, will
+               # actually call rand() as part of its serialization code...
+               --debian-glitch
+       )
+       einfo "Running ${configure_call[@]}"
+       CC="$(tc-getCC)" \
+       "${configure_call[@]}" || die
+}
+
+src_install() {
+       emake \
+               DESTDIR="${D}" \
+               $(usex minimal install install.everything) \
+               SAMPLE_PFX="${PN}-"
+
+       insinto /usr/$(get_libdir)/pkgconfig
+       doins libmarkdown.pc
+}
+
+pkg_postinst() {
+       if ! use minimal; then
+               elog 'Sample binaries with overly-generic names have been'
+               elog "prefixed with \"${PN}-\"."
+       fi
+}

Reply via email to